Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.preference
Class PreferenceChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.birt.core.preference.PreferenceChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreferenceChangeEvent

extends java.util.EventObject

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SPECIALTODEFAULT`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreferenceChangeEvent(IPreferences node, java.lang.String key, java.lang.Object oldValue, java.lang.Object newValue)` Constructs a new `PreferenceChangeEvent` instance.

Method Summary
`java.lang.String` | `getKey()` Returns the key of the preference that was changed.
`java.lang.Object` | `getNewValue()` Returns the new value for the preference.
`java.util.prefs.Preferences` | `getNode()` Returns the preference node that emitted the event.
`java.lang.Object` | `getOldValue()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SPECIALTODEFAULT

    public static final java.lang.String SPECIALTODEFAULT

See Also:
  Constant Field Values

Constructor Detail

### PreferenceChangeEvent

    public PreferenceChangeEvent(IPreferences node,
                                 java.lang.String key,
                                 java.lang.Object oldValue,
                                 java.lang.Object newValue)

  Constructs a new `PreferenceChangeEvent` instance.

  Parameters:
    `node` - The Preferences node that emitted the event.
    `key` - The key of the preference that was changed.
    `newValue` - The new value of the preference, or `null` if the preference is being removed.

Method Detail

### getNode

    public java.util.prefs.Preferences getNode()

  Returns the preference node that emitted the event.

  Returns:
    The preference node that emitted the event.

### getKey

    public java.lang.String getKey()

  Returns the key of the preference that was changed.

  Returns:
    The key of the preference that was changed.

### getNewValue

    public java.lang.Object getNewValue()

  Returns the new value for the preference.

  Returns:
    The new value for the preference, or `null` if the preference was removed.

### getOldValue

    public java.lang.Object getOldValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.